// Set 08 - Demo 1
// More Control

// global variables
int diameter, diameterChangeAmount ;

void setup( )
{
  size( 400, 400 );
  smooth( );
  noFill( );
  stroke( 255, 0, 0 );
  strokeWeight( 20 );

  diameter = 1;
  diameterChangeAmount  = 1;
}

void draw( )
{
  
 background( 0 );
  
  changeCircle( .75);  // max percentage of the width
  drawCircle( ); 
}

void keyPressed ( )
{
  if (  key == 'f')
  {
     diameterChangeAmount = diameterChangeAmount * 2;
  }
  else if ( key == 's' )
  {
    diameterChangeAmount = diameterChangeAmount / 2;
  }  
  else
  {
    diameterChangeAmount = 1;
  }
}


void changeCircle( float maxCircleSizePercent )
{
   diameter = diameter + diameterChangeAmount;
   
   if ( diameter > width*maxCircleSizePercent )
   {
     diameterChangeAmount = -diameterChangeAmount;
   }
   else if ( diameter <= 1 )
   {
     diameterChangeAmount = -diameterChangeAmount;     
   }
}


void drawCircle( )
{
    if ( diameterChangeAmount > 0)
    {
      fill( 0, 255, 0 );
    }
    else if (diameterChangeAmount < 0 )
    {
      fill( 0, 0, 255 );
    }
    else
    {
      fill( 255, 255, 0 );
    }
    ellipse( width/2, height/2, diameter, diameter ); 
}

