// Set08  Demo 3
// Still another look at if and if/else and the relational operators

PFont f1;
color nwColor, neColor, swColor, seColor;

int resetDiameter;  // diameter of the reset button

void setup( )
{
   size( 600, 600 );
   stroke( 255 );
   strokeWeight( 3 );
   initializeColors( );
   
   f1 = loadFont( "f1.vlw" );
   textFont( f1 );
   textAlign( CENTER, CENTER );
   
   resetDiameter = 75;
}

void draw( )
{
   divideAndColorWindow(  ); 
   drawResetButton( );
}

void divideAndColorWindow(  )
{
  fill( nwColor );
  rect( 0, 0, width/2, height/2 );
  fill( neColor );
  rect( width/2, 0, width/2, height/2 );
  fill( swColor );
  rect( 0, height/2, width/2, height/2 );
  fill( seColor );
  rect( width/2, height/2, width/2, height/2 );
}

void drawResetButton( )
{
  fill( 200 );
  ellipse( width/2, height/2, resetDiameter, resetDiameter);
  fill( 0 );
  text( "Reset", width/2, height/2);
}

void mousePressed( )
{ 
  // Did the user click in the left half of the window?
  if (mouseX < width/ 2)  // true: the user clicked in the left half
  {
        if (mouseY < height/2) // true: the user clicked in the top half
        {
           nwColor = color(  0 );
        } 
        else  // false: the user clicked in the bottom half
        {
           swColor = color( 0 ); 
        }
  }
  else  // false: the user clicked in the right half
  {
        if (mouseY < height/2)  // true: the user clicked in the top half
        {
           neColor = color( 0 );
        } 
        else   // false: the user clicked in the bottom half
        {
           seColor = color( 0 ); 
        }    
  }
  
  // We need to see if the reset button was clicked
  if(  dist( mouseX, mouseY, width/2, height/2) <= resetDiameter/2)
  {
     initializeColors( );
  }
}

void initializeColors( )
{
   nwColor = color( 255, 0, 0 );
   neColor = color( 0, 255, 0 );
   swColor = color( 0, 0, 255 );
   seColor = color( 255, 255, 0 ); 
}
